<?php
require 'PHPMailer/PHPMailerAutoload.php';
$mail = new PHPMailer;

$ruta = trim($_GET["ruta"]);
$ca = trim($_GET["ca"]);
$txt = $ruta.$ca.".txt";

$test = (isset($_GET["test"]));

$pdf = $ruta.$ca.".pdf";
$xml = $ruta.$ca.".xml";


list($cfg,$desde,$para,$dest,$ndoc,$aut,$f_aut,$publ,$r_tel,$r_mail,$r_web) = file($txt);
list($host,$from,$user,$pw,$port) = explode("|",$cfg);

$mail->Host     = $host;
//$mail->From     = $from;  
$mail->Username = $user;  // SMTP username
$mail->Password = $pw;    // SMTP password
$mail->Port     = $port;  // Set the SMTP port

$mail->setFrom($from, $desde);

$mail->SMTPAuth = true;
$mail->SMTPSecure = 'tls';
$mail->isHTML(true);
$mail->isSMTP();


$chars = array(";", ",");
$d = str_replace($chars, ";", $para);
$d = str_replace(" ", "", $d);
$a = explode(';',$d);

foreach ($a as $email_a) {
	$email_a = trim($email_a);
	echo $email_a."<br />";
	if (filter_var($email_a, FILTER_VALIDATE_EMAIL)) {
		$mail->AddAddress($email_a,$dest);
	}
}

//$mail->addAddress($para, $dest);
$mail->Subject = $desde.' ha emitido '.$ndoc;

$publ = trim($publ);

$msg = '

<!DOCTYPE html>
<html>
  <head>
    <meta charset="utf-8">

    <title>VisualPlus - Facturación Electrónica</title>
    <link href="https://fonts.googleapis.com/css?family=Open+Sans+Condensed:300|Sonsie+One" rel="stylesheet" type="text/css">
    <link rel="stylesheet" href="style.css">
    <style type="text/css">
		.contentDiv {
			font-family:Gotham, "Helvetica Neue", Helvetica, Arial, sans-serif;
			font-size:16px;
			width:580px;
			margin:auto;
			padding:5px;
			background-color:#EEF3EA;
		}
		.ImgDiv {
			width:600px;
			margin:auto;
		}
    </style>

    <!-- the below three lines are a fix to get HTML5 semantic elements working in old versions of Internet Explorer-->
    <!--[if lt IE 9]>
      <script src="http://html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    
   
  </head>

  <body>

  <section>	
	<article class = "ImgDiv">
    	<p>
    	<a href="http://www.tecsicom.net" title="Descargue sus doc. electronicos" target="new"><img src="'.$ruta.'publicidad/header.png" /></a>
        </p>
	</article>
    
    <article class = "contentDiv">
        Estimado(a) <b>'.$dest.'</b> se le ha emitido:<br />
        <p>
        <b>'.$ndoc.'</b><br />
        Aut. SRI: '.$aut.'<br />
        Fecha: '.$f_aut.'<br />	
        </p>
        Atentamente, <br /> <br /> 
        <b>'.$desde.'</b><br />
        Telf.: '.$r_tel.' Email: '.$r_mail.'<br />
        Consulte sus documentos en: '.$r_web.'<br />
    </article>
    <article class = "ImgDiv">
    <img src="'.$ruta.'publicidad/'.$publ.'" width="600px"/>
	</article>
</section>
  </body>
</html>

';

$mail->addEmbeddedImage($ruta."publicidad/header.pnp","");
$mail->addEmbeddedImage($ruta."publicidad/".$publ,"");
$mail->MsgHTML($msg);
$mail->IsHTML(true); // send as HTML

if (file_exists($xml)) $mail->AddAttachment($xml);
if (file_exists($pdf)) $mail->AddAttachment($pdf);

//$mail->AltBody = "Email Test\r\nThis email was sent through the Amazon SES SMTP interface using the PHPMailer class.";

if(!$mail->send()) {
 echo "Email not sent. " , $mail->ErrorInfo , PHP_EOL;
} else {
 echo "Email sent!" , PHP_EOL;
}

if ($test) var_dump(file($txt));

if (file_exists($xml)) unlink($xml);
if (file_exists($xml)) unlink($pdf);
if (file_exists($xml)) unlink($txt);



?>